# simple-inventory-editor

A simple, offline, table-based home-inventory editor.

## Using the App

TBA

## Local Development

### Getting Started

1. Install the pre-reqs for [tauri](https://tauri.app/start/prerequisites/) (webview dev dependencies, rust, and node)
2. run `npm ci` to install dependencies
3. run `npm run tauri dev` to start the app; this will install rust dependencies when run for the first time
4. run `npm run tauri build` to build the app; see the [distribute documentation](https://tauri.app/distribute/) for more information

### Architecture

simple-inventory-editor uses [tauri](https://tauri.app/), which makes use of the system's "webview" in place of bundling an entire browser with the app. Tauri splits lower-level system functionality (`src-tauri`: rust) from the front-end UI (`src`: node (vite, vue, primevue)). Most of the lower-level functionality necessary for the app has been abstracted into node plugins to be easily called from the front-end, so the tauri source's main responsibility is largely just creating the window.
